Package gbp :: Package deb :: Module source :: Class FileVfs

[hide private]
[frames] | no frames]

# Class FileVfs

    object --+
             |
            FileVfs

Instance Methods | [hide private]

__init__(self, dir) Access files in a unpaced Debian source package. |

open(self, path, flags=None) |

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, dir)
(Constructor)

Access files in a unpaced Debian source package.

Parameters:
  - `dir` (`str`) - the toplevel of the source tree
Overrides: object.__init__